Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
os_utils.h File Reference
`#include <botan/types.h>`
`#include <functional>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::OS

## Functions
void * | Botan::OS::allocate_locked_pages (size_t length)
void | Botan::OS::free_locked_pages (void *ptr, size_t length)
uint64_t BOTAN_DLL | Botan::OS::get_high_resolution_clock ()
size_t | Botan::OS::get_memory_locking_limit ()
uint32_t BOTAN_DLL | Botan::OS::get_process_id ()
uint64_t BOTAN_DLL | Botan::OS::get_processor_timestamp ()
uint64_t BOTAN_DLL | Botan::OS::get_system_timestamp_ns ()
int BOTAN_DLL | Botan::OS::run_cpu_instruction_probe (std::function< int()> probe_fn)